/***************************************************************************
                  ktsconfig.h  -  KTS configuration dialog
                             -------------------
    begin                : Fri Oct 6 2000
    copyright            : (C) 2000 by Arnd Fischer
    email                : lxuser@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KTSCONFIG_H
#define KTSCONFIG_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qlabel.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include <qstrlist.h>

/**
  *@author Arnd Fischer
  */

class KTSConfig : public QDialog  {
   Q_OBJECT
public: 
	KTSConfig(QWidget *parent=0, const char *name=0);
	~KTSConfig();

protected:
	/** initialize the dialog */
	void initDialog();
	/** read the configuration */
	void readConfig();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *QGroupBox_2;
	QPushButton *btnChooseTDir;
	QComboBox *comboFormat;
	QLabel *QLabel_4;
	QLabel *QLabel_3;
	QLabel *QLabel_5;
	QLabel *QLabel_6;
	QComboBox *comboEditor;
	QComboBox *comboDVIViewer;
	QPushButton *btnOK;
	//Generated area. DO NOT EDIT!!!(end)
	int editorCount;
	int formatCount;
	int viewerCount;
  /** here the configured programs are stored */
	struct ConfPrograms {
		QStrList editors;
		QStrList formats;
		QStrList viewers;
	} confPrograms;

protected slots: // Protected slots
	/** quit the dialog */
	void slotQuit();
	/** choose the template directory */
	void slotChooseTDir();
  /** the dvi viewer was coosen */
	void slotDVIViewerChoosen(const char* viewer);
	/** the editor was choosen */
	void slotEditorChoosen(const char* editor);
	/** the format was choosen */
	void slotFormatChoosen(const char* format);

signals: // Signals
  /** the config has changed */
  void signalTempDirChanged(QString td);
	void signalFormatChanged(QString f);
	void signalEditorChanged(QString ed);
	void signalViewerChanged(QString v);
	void signalConfChanged(ConfPrograms* conf);
};

#endif
